FLANG

Public Member Functions | List of all members
Fortran::evaluate::ArgumentAnalyzer Class Reference

## Public Member Functions
| ArgumentAnalyzer (ExpressionAnalyzer &context)
| ArgumentAnalyzer (ExpressionAnalyzer &context, parser::CharBlock source, bool allowAssumedType=false)
bool | fatalErrors () const
ActualArguments && | GetActuals ()
const Expr< SomeType > & | GetExpr (std::size_t i) const
Expr< SomeType > && | MoveExpr (std::size_t i)
void | Analyze (const common::Indirection< parser::Expr > &x)
void | Analyze (const parser::Expr &x)
void | Analyze (const parser::Variable &)
void | Analyze (const parser::ActualArgSpec &, bool isSubroutine)
bool | IsIntrinsicRelational (RelationalOperator) const
bool | IsIntrinsicLogical () const
bool | IsIntrinsicNumeric (NumericOperator) const
bool | IsIntrinsicConcat () const
MaybeExpr | TryDefinedOp (const char *, parser::MessageFixedText &&, bool isUserOp=false)
template<typename E >
MaybeExpr | TryDefinedOp (E opr, parser::MessageFixedText &&msg)
std::optional< ProcedureRef > | TryDefinedAssignment ()
std::optional< ProcedureRef > | GetDefinedAssignmentProc ()
void | Dump (llvm::raw_ostream &)

The documentation for this class was generated from the following file:

- lib/Semantics/expression.cpp